petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscLogEventDeactivate

Indicates that a particular event should not be logged.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscLogEventDeactivate(PetscLogEvent event)

Not Collective

### Input Parameter

event -The event id

### Usage

          PetscLogEventDeactivate(VEC_SetValues);
            [code where you do not want to log VecSetValues()]
          PetscLogEventActivate(VEC_SetValues);
            [code where you do want to log VecSetValues()]

### Note

The event may be either a pre-defined PETSc event (found in include/petsclog.h) or an event number obtained with PetscLogEventRegister()).

### Keywords

log, event, deactivate

### See Also

PlogEventActivate()

### Level

advanced

### Location

src/sys/logging/plog.c

### Examples

src/sys/examples/tutorials/ex3.c.html
src/sys/examples/tutorials/ex3f.F.html
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages